# $Revision: 1.11 $, $Date: 2010/07/08 08:42:55 $
%define 	module	TwistedNames
%define		major	8.1
%define		minor	0

Summary:	Domain name server and a client resolver library
Summary(pl.UTF-8):	Serwer nazw oraz biblioteka kliencka rozwiązująca nazwy
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	5
License:	MIT
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Names/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	e5f49fc23bef015484dbd025bf835611
URL:		http://twistedmatrix.com/trac/wiki/TwistedNames
BuildRequires:	ZopeInterface
BuildRequires:	python-TwistedCore >= 2.4.0
BuildRequires:	python-devel >= 2.2
Requires:	python-TwistedCore >= 2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twisted Names is both a domain name server as well as a client
resolver library. Twisted Names comes with an "out of the box"
nameserver which can read most BIND-syntax zone files as well as a
simple Python-based configuration format. Twisted Names can act as an
authoritative server, perform zone transfers from a master to act as a
secondary, act as a caching nameserver, or any combination of these.
Twisted Names' client resolver library provides functions to query for
all commonly used record types as well as a replacement for the
blocking gethostbyname() function provided by the Python stdlib socket
module.

%description -l pl.UTF-8
Twisted Names to serwer nazw (DNS) oraz biblioteka kliencka
rozwiązująca nazwy (resolver). Twisted Names "z pudełka" zawiera
serwer nazw potrafiący czytać większość plików stref w składni BIND-a,
a także prostym formacie opartym o Pythona. Twisted Names może działać
jako serwer autorytatywny, wykonywać transfery stref z serwera
głównego aby działać jako serwer zapasowy, działać jako serwer
buforujący (cache) lub w dowolnej kombinacji tych funkcji. Biblioteka
kliencka Twisted Names udostępnia funkcje do odpytywania serwera o
wszystkie powszechnie używane rodzaje rekordów, a także zamiennik
blokujacej funkcji gethostbyname() udostępnianej przez moduł
biblioteki standardowej Pythona socket.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%{py_sitedir}/*.egg-info
%{py_sitedir}/twisted/names
%{py_sitedir}/twisted/plugins/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-TwistedNames.spec,v $
Revision 1.11  2010/07/08 08:42:55  arekm
- release 5

Revision 1.10  2008/10/05 08:56:16  wiget
- file paths depend on arch, noarch removed
- relase 4

Revision 1.9  2008/10/05 07:36:34  wiget
- %files fix

Revision 1.8  2008/10/05 07:33:08  wiget
- install in py_sitedir like other Twisted\*
- release 2

Revision 1.7  2008/10/05 06:28:27  wiget
- updated to 8.1.0

Revision 1.6  2008/05/02 18:50:07  luzik
- updated to 8.0.0

Revision 1.5  2008-01-06 17:05:59  glen
- if noarch package then install to noarch dir; rel 2

Revision 1.4  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2007/01/14 22:30:39  qboosh
- pl

Revision 1.1  2007/01/09 23:05:13  wrobell
- based on python-TwistedWeb
